Subject: Re: No bash prompt

From: Dan Malek <[email-masked]>
Date: Fri, 14 Apr 2000 14:54:09 -0400

Marcus Sundberg wrote:

> Seems this problem is way too common...
> How about adding a ppc_md.init function which checks that the internal
> registers are mapped in a sane place, and panics with an informative
> message otherwise?

My plan is just to force all 8xx ports to use the same IMMR address.
This is part of the 8M page mapping of the kernel for performance
enhancements.  I am going to collect as much I/O and IMMR into an
8M space as possible.  Someplace around 0xff000000 is going to be the
"Linux" IMMR setting.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/